## org.apache.batik.apps.rasterizer
Class DestinationType

    java.lang.Object
      org.apache.batik.apps.rasterizer.DestinationType

public final class DestinationType
extends java.lang.Object

Describes the type of destination for an `SVGConverter` operation.

Field Summary
`static DestinationType` `JPEG`
`static int` `JPEG_CODE`
`static java.lang.String` `JPEG_EXTENSION`
`static java.lang.String` `JPEG_STR`
`static DestinationType` `PDF`
`static int` `PDF_CODE`
`static java.lang.String` `PDF_EXTENSION`
`static java.lang.String` `PDF_STR`
`static DestinationType` `PNG`
`static int` `PNG_CODE`
`static java.lang.String` `PNG_EXTENSION`
`static java.lang.String` `PNG_STR`
`static DestinationType` `TIFF`
`static int` `TIFF_CODE`
`static java.lang.String` `TIFF_EXTENSION`
`static java.lang.String` `TIFF_STR`

Method Summary
`java.lang.String` `getExtension()`
`protected Transcoder` `getTranscoder()` Returns a transcoder object of the result image type.
`DestinationType[]` `getValues()` Defines valid image types.
`java.lang.Object` `readResolve()`
`int` `toInt()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PNG_STR

    public static final java.lang.String PNG_STR

See Also:
  Constant Field Values

### JPEG_STR

    public static final java.lang.String JPEG_STR

See Also:
  Constant Field Values

### TIFF_STR

    public static final java.lang.String TIFF_STR

See Also:
  Constant Field Values

### PDF_STR

    public static final java.lang.String PDF_STR

See Also:
  Constant Field Values

### PNG_CODE

    public static final int PNG_CODE

See Also:
  Constant Field Values

### JPEG_CODE

    public static final int JPEG_CODE

See Also:
  Constant Field Values

### TIFF_CODE

    public static final int TIFF_CODE

See Also:
  Constant Field Values

### PDF_CODE

    public static final int PDF_CODE

See Also:
  Constant Field Values

### PNG_EXTENSION

    public static final java.lang.String PNG_EXTENSION

See Also:
  Constant Field Values

### JPEG_EXTENSION

    public static final java.lang.String JPEG_EXTENSION

See Also:
  Constant Field Values

### TIFF_EXTENSION

    public static final java.lang.String TIFF_EXTENSION

See Also:
  Constant Field Values

### PDF_EXTENSION

    public static final java.lang.String PDF_EXTENSION

See Also:
  Constant Field Values

### PNG

    public static final DestinationType PNG

### JPEG

    public static final DestinationType JPEG

### TIFF

    public static final DestinationType TIFF

### PDF

    public static final DestinationType PDF

Method Detail

### getExtension

    public java.lang.String getExtension()

### toString

    public java.lang.String toString()

### toInt

    public int toInt()

### getTranscoder

    protected Transcoder getTranscoder()

  Returns a transcoder object of the result image type.

  Returns:
    Transcoder object or `null` if there isn't a proper transcoder.

### getValues

    public DestinationType[] getValues()

  Defines valid image types.

  Returns:
    Array of valid values as strings.

### readResolve

    public java.lang.Object readResolve()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.